
From: Andrew Morton <akpm@osdl.org>

*** Warning: "cpu_possible_map" [net/sctp/sctp.ko] undefined!
*** Warning: "cpu_possible_map" [net/ipv6/netfilter/ip6_tables.ko] undefined!
*** Warning: "cpu_possible_map" [net/ipv6/ipv6.ko] undefined!
*** Warning: "cpu_possible_map" [net/ipv6/ipcomp6.ko] undefined!
*** Warning: "cpu_possible_map" [net/ipv4/netfilter/ip_tables.ko] undefined!
*** Warning: "cpu_possible_map" [net/ipv4/netfilter/ip_conntrack.ko] undefined!
*** Warning: "cpu_possible_map" [net/ipv4/netfilter/arp_tables.ko] undefined!
*** Warning: "cpu_possible_map" [net/ipv4/ipcomp.ko] undefined!
*** Warning: "cpu_possible_map" [net/bridge/netfilter/ebtables.ko] undefined!
*** Warning: "cpu_possible_map" [fs/xfs/xfs.ko] undefined!
*** Warning: "cpu_possible_map" [drivers/md/md-mod.ko] undefined!
*** Warning: "cpu_possible_map" [drivers/isdn/hisax/hisax.ko] undefined!
*** Warning: "cpu_possible_map" [drivers/cpufreq/cpufreq_stats.ko] undefined!
*** Warning: "cpu_possible_map" [arch/i386/oprofile/oprofile.ko] undefined!
*** Warning: "cpu_possible_map" [arch/i386/kernel/cpu/cpufreq/powernow-k8.ko] undefined!

Cc: Zwane Mwaikambo <zwane@arm.linux.org.uk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/smpboot.c           |    3 ++-
 arch/i386/mach-voyager/voyager_smp.c |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/smpboot.c~i386-boottime-for_each_cpu-broken-fix arch/i386/kernel/smpboot.c
--- devel/arch/i386/kernel/smpboot.c~i386-boottime-for_each_cpu-broken-fix	2005-08-18 03:42:53.000000000 -0700
+++ devel-akpm/arch/i386/kernel/smpboot.c	2005-08-18 03:42:53.000000000 -0700
@@ -87,8 +87,9 @@ EXPORT_SYMBOL(cpu_online_map);
 
 cpumask_t cpu_callin_map;
 cpumask_t cpu_callout_map;
-cpumask_t cpu_possible_map;
 EXPORT_SYMBOL(cpu_callout_map);
+cpumask_t cpu_possible_map;
+EXPORT_SYMBOL(cpu_possible_map);
 static cpumask_t smp_commenced_mask;
 
 /* TSC's upper 32 bits can't be written in eariler CPU (before prescott), there
diff -puN arch/i386/mach-voyager/voyager_smp.c~i386-boottime-for_each_cpu-broken-fix arch/i386/mach-voyager/voyager_smp.c
--- devel/arch/i386/mach-voyager/voyager_smp.c~i386-boottime-for_each_cpu-broken-fix	2005-08-18 03:42:53.000000000 -0700
+++ devel-akpm/arch/i386/mach-voyager/voyager_smp.c	2005-08-18 03:42:53.000000000 -0700
@@ -241,8 +241,9 @@ static cpumask_t smp_commenced_mask = CP
 /* This is for the new dynamic CPU boot code */
 cpumask_t cpu_callin_map = CPU_MASK_NONE;
 cpumask_t cpu_callout_map = CPU_MASK_NONE;
-cpumask_t cpu_possible_map = CPU_MASK_ALL;
 EXPORT_SYMBOL(cpu_callout_map);
+cpumask_t cpu_possible_map = CPU_MASK_ALL;
+EXPORT_SYMBOL(cpu_possible_map);
 
 /* The per processor IRQ masks (these are usually kept in sync) */
 static __u16 vic_irq_mask[NR_CPUS] __cacheline_aligned;
_
